
Redmine - Patch #18440

Journals could be ordered using the create_on attribute instead of the id
Description

It is usually equivalent to sort Journals by id or to order them using the create_on attribute.

However, when importing values from an external source to the Journals table, we sometimes cannot rely on the id to give a correct

order.

So here is a very tiny patch to fix that.

Thanks!

Related issues:

Is duplicate of Redmine - Defect #14881: Issue journals should be ordered by ... Closed

History

#1 - 2014-12-01 23:10 - Go MAEDA

- Related to Defect #14881: Issue journals should be ordered by created_on, not id added

#2 - 2014-12-01 23:12 - Go MAEDA

- Status changed from New to Closed

Thanks for submitting the patch but this issue duplicates with #14881.

#3 - 2014-12-01 23:16 - Go MAEDA

- Related to deleted (Defect #14881: Issue journals should be ordered by created_on, not id)

#4 - 2014-12-01 23:16 - Go MAEDA

- Is duplicate of Defect #14881: Issue journals should be ordered by created_on, not id added

Files

sort_journals.diff 761 Bytes 2014-11-25 Vincent Robert
